.header,
.header__burger {
  display: flex;
  flex-direction: column;
}
#dnn_dnnLOGO_imgLogo {
  max-width: 150px;
  max-height: 40px;
}

.header--fixed,
.header--fixed::after {
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
}

.header__logo-netviajes img {
  width: 100%;
  max-width: 90px;
}

.header-container {
  background: #fff;
}

.header {
  padding: 0;
  max-width: 1330px;
}

.header--fixed {
  z-index: 99999;
}

.header--fixed .header__includes {
  border-bottom: 0.1px solid #e6e6e6;
}

.header--fixed::after {
  content: "";
  z-index: 0;
  background: rgba(216, 216, 216, 0.7098039216);
}

.header__includes {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header__includes--right {
  display: flex;
  align-items: center;
}

.header__burger {
  height: 24px;
  width: 24px;
  align-items: center;
  justify-content: space-evenly;
  transform: rotate(0);
  transition-duration: 0.5s;
}

.header__burger--active {
  position: absolute;
  right: 22px;
  top: 12px;
  transform: rotate(360deg);
  z-index: 2;
}

.header__burger--active .header__bar:first-child {
  transform: rotate(45deg);
  position: absolute;
}

.header__burger--active .header__bar:nth-child(2),
.header__container {
  display: none;
}

.header__burger--active .header__bar:last-child {
  transform: rotate(-45deg);
}

.header__bar {
  height: 1.5px;
  width: 100%;
  background: var(--net-color-secundary);
  transition: 0.5s;
}

._navbar__btn-page,
._navbar__btn-page iconify-icon {
  transition-duration: 0.2s;
}

.header__container--active {
  width: 280px;
  right: 0;
  top: 0;
  z-index: 1;
  position: fixed;
  display: flex;
  flex-direction: column;
  overflow-y: scroll;
  overflow-x: hidden;
  max-height: 90vh;
  height: 100%;
  background: #fff;
}

.header__container--active::before {
  content: "";
  position: fixed;
  left: inherit;
  right: 0;
  top: 0;
  z-index: -1;
  width: 280px;
  height: 100vh;
  background: #fff;
}

.header__container--active::-webkit-scrollbar {
  width: 0;
}

._navbar__item {
  border-left: 5px solid transparent;
}

._navbar__item--active {
  border-left: 5px solid var(--net-color-primary);
}

.header__menu {
  width: 100%;
}

._navbar__list {
  margin-bottom: 0;
}

.header__container--active ._navbar__list {
  margin-top: 50px;
}

.header-container .fa.fa-disney::before {
  width: 20px;
  background-repeat: no-repeat;
  top: -4px;
}

.header-container .fa {
  width: 20px;
  height: 30px;
  align-content: center;
}

._navbar__item {
  min-height: 60px;
  width: 100%;
  display: flex;
  align-items: center;
  border-top: 1px solid #e5e7eb;
}

@media (max-width: 1024px) {
  .header {
    box-shadow: none;
  }

  .header__includes {
    height: 55px;
    padding: 0 20px;
  }

  .header__menu--top {
    padding-top: 20px;
  }

  .header__menu--logo {
    padding: 20px;
  }

  ._navbar__item {
    padding-left: 13px;
  }

  .navbar__list--bottom ._navbar__item:first-child {
    border-top: none;
  }

  ._navbar__item--active > div > ._navbar__link {
    border-left: 2px solid transparent;
    color: var(--net-color-secundary) !important;
    border-radius: 10px;
    background-color: rgba(193, 193, 193, 0.12);
  }
}

._navbar__item--children {
  flex-direction: column;
  margin-bottom: 0;
}

._navbar__item--largeicon img {
  width: 16px;
  height: 16px;
}

._navbar__item--largeicon a {
  gap: 5px;
}

._navbar__link,
._navbar__link:visited {
  width: 100%;
  min-height: 60px;
  padding: 0 0 0 2px;
  display: flex;
  align-items: center;
  border-left: 2px solid transparent;
  color: var(--net-color-secundary) !important;
  gap: 7px;
}

._navbar__link:hover,
._navbar__link:visited:hover {
  text-decoration: none;
  background: #f7f7f7;
  color: var(--net-color-secundary) !important;
}

._navbar__container-link-submenu {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
}

._navbar__btn-page {
  padding: 10px 20px;
}

._navbar__btn-page:hover {
  background: rgba(128, 128, 128, 0.1098039216);
}

._navbar__btn-page--active iconify-icon {
  transform: rotate(180deg);
}

._navbar__submenu {
  width: 100%;
  display: none;
}

@media (max-width: 1024px) {
  ._navbar__link,
  ._navbar__link:visited {
    padding: 10px 16px;
  }

  ._navbar__link,
  ._navbar__link + span,
  ._navbar__link:visited {
    color: var(--net-color-terciary);
    font-size: 16px;
    font-weight: bold;
  }

  ._navbar__link + span:hover,
  ._navbar__link:hover,
  ._navbar__link:visited:hover {
    border-left: 2px solid transparent;
    color: var(--net-color-terciary);
    border-radius: 10px;
    background-color: rgba(193, 193, 193, 0.12);
  }

  ._navbar__submenu {
    padding-left: 13px;
  }
}

._navbar__submenu--active {
  display: block;
  margin-left: 0;
}

.login_head {
  position: relative;
  display: block;
  border: 0;
}

.login_head a {
  background: #666;
  padding: 13px;
  top: -50px;
  max-width: 150px;
}

.login_head a:hover {
  background: #666;
}

.mis_reservas {
  border-radius: 30px;
  border: 1px solid #404040;
  margin-right: 27px;
}

.mis_reservas a {
  padding: 5px 22px;
  min-height: 20px;
}

@media (min-width: 1025px) {
  .login_head a {
    position: absolute;
  }

  ._navbar__submenu {
    border-radius: 5px;
    box-shadow:
      0 5px 5px -3px rgba(0, 0, 0, 0.2),
      0 8px 10px 1px rgba(0, 0, 0, 0.1411764706),
      0 3px 14px 2px rgba(0, 0, 0, 0.1215686275);
  }

  ._navbar__submenu ._navbar__item {
    max-width: 125px;
    width: 100%;
    display: block;
  }

  ._navbar__submenu ._navbar__item:first-child:hover,
  ._navbar__submenu ._navbar__item:first-child:hover ._navbar__link {
    border-radius: 5px 5px 0 0;
  }

  ._navbar__submenu ._navbar__item:last-child:hover,
  ._navbar__submenu ._navbar__item:last-child:hover ._navbar__link {
    border-radius: 0 0 5px 5px;
  }

  ._navbar__submenu ._navbar__item--children .fa-angle-down:before {
    content: "\f105";
  }

  ._navbar
    ._navbar__item--last
    ._navbar__submenu
    ._navbar__item--children:hover
    > ul {
    left: -114%;
    top: 0;
  }

  ._navbar ._navbar__item--last ._navbar__submenu .fa.fa-angle-down:before {
    content: "\f104";
  }

  ._navbar__item--last:hover ._navbar__submenu {
    left: inherit;
    right: 0;
  }

  .header__container::before {
    content: inherit;
  }

  img#dnn_dnnLOGO_imgLogo {
    max-width: initial;
    max-height: 30px;
  }

  .header-container {
    box-shadow: 0 0 8px rgba(0, 0, 0, 0.2);
  }

  .header {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    min-height: 72px;
    margin: auto;
  }

  .header__burger {
    display: none;
  }

  .header__includes {
    width: 250px;
  }

  .header__container {
    max-width: 100%;
    display: flex;
    flex-direction: row-reverse;
    gap: 15px;
  }

  ._navbar__list {
    display: flex;
    gap: 20px;
    align-items: flex-end;
    justify-content: flex-end;
  }

  ._navbar__item {
    justify-content: flex-end;
    min-height: inherit;
    width: -moz-max-content;
    width: max-content;
    margin-bottom: 0;
  }

  ._navbar__item--largeicon img {
    width: 13px;
    height: 13px;
    display: none;
  }

  ._navbar__item--children {
    position: relative;
  }

  ._navbar__item--children:hover::before {
    content: "";
    padding: 12px;
    position: absolute;
    top: 18px;
    left: 30px;
    width: 105px;
  }

  ._navbar__item--children:hover > ._navbar__submenu {
    display: block;
  }

  ._navbar__item--children a {
    gap: 6px;
  }

  ._navbar__item--active ._navbar__link {
    color: var(--net-color-secundary) !important;
  }

  ._navbar__link {
    width: -moz-max-content;
    width: max-content;
    border-left: none;
    min-height: inherit;
    font-size: 17px;
  }

  ._navbar .fa-regular,
  ._navbar .fa-solid {
    font-size: 14px;
  }

  ._navbar__link:hover {
    background: 0 0;
    border-left: none;
  }

  ._navbar__btn-page {
    padding: 0;
  }

  ._navbar__btn-page iconify-icon {
    font-size: 13px;
  }

  ._navbar__btn-page:hover {
    background: inherit;
  }

  ._navbar__submenu {
    width: 100%;
    display: none;
    position: absolute;
    top: 35px;
    left: -20px;
    padding: 0;
    background: var(--net-color-primary);
    width: -moz-max-content;
    width: max-content;
    z-index: 1000;
  }

  ._navbar__submenu ._navbar__item:hover {
    background-color: #f5f5f5;
    background: rgba(0, 0, 0, 0.0392156863);
  }

  ._navbar__submenu ._navbar__item--children:hover > ul {
    left: -120%;
    top: 0;
  }

  ._navbar__submenu ._navbar__item ._navbar__link {
    font-size: 13px;
    padding: 12px 20px;
    width: 100%;
  }

  ._navbar__submenu ._navbar__item ._navbar__link .fa-angle-down:before {
    content: "\f105";
  }
}

.header-container .fa.fa-disney::before {
  content: "";
  background-image: url(/Portals/17/Skins/skin-bem/assets/images/icons/disney-icon.svg) !important;
  width: 30px;
  height: 30px;
  position: relative;
  display: block;
}
